

# ERROR 1.0.2


# Class Error
class Error(Exception):

    pass


# Class Aborted
class Aborted(Error):

    # Constructor
    def __init__(self):

        # Initialize
        super().__init__('The operation was aborted by the user.')


# Class Configuration
class Configuration(Error):

    # Constructor
    def __init__(self):

        # Initialize
        super().__init__('The device is not properly configured. Check the parameters and consult the manual.')


# Class Failed
class Failed(Error):

    # Constructor
    def __init__(self):

         # Initialize
         super().__init__('The operation could not be performed successfully. Check the device model, update the ' +
             'firmware, reset the device, or contact the manufacturer if the problem persists.')


# Class Internal
class Internal(Error):

    # Constructor
    def __init__(self):

        # Initialize
        super().__init__('An internal exception occured. Contact the manufacturer if the problem persists.')


# Class Network
class Network(Error):

    # Constructor
    def __init__(self):

        # Initialize
        super().__init__('The network communication failed. Check the network connectivity status and the network ' +
            'settings.')


# Class NotFound
class NotFound(Error):

    # Constructor
    def __init__(self):

        # Initialize
        super().__init__('One or more devices could not be found. Check the network connectivity status and the ' +
            'network settings.')


# Class Parameter
class Parameter(Error):

    # Constructor
    def __init__(self):

        # Initialize
        super().__init__('One or more parameters are out of range or invalid. Check the validity of all parameters.')


# Class Reserved
class Reserved(Error):

    # Constructor
    def __init__(self):

        # Initialize
        super().__init__('The requested device is currently reserved. Try again later.')


# Class Timeout
class Timeout(Error):

    # Constructor
    def __init__(self):

        # Initialize
        super().__init__('The operation could not be performed successfully since the maximum time has been ' +
            'reached. Increasing the time-out value may solve the problem.')
